Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CEC_TypedEventChannel.h File Reference

`#include "CEC_Factory.h"`
`#include "CEC_Defaults.h"`
`#include "event_export.h"`
`#include "orbsvcs/CosTypedEventChannelAdminS.h"`
`#include "tao/IFR_Client/IFR_BasicC.h"`
`#include "tao/NVList.h"`
`#include "ace/Hash_Map_Manager.h"`
`#include "ace/Null_Mutex.h"`
`#include "ace/SString.h"`

Include dependency graph for CEC_TypedEventChannel.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_CEC_Operation_Params
class | TAO_CEC_Param
class | TAO_CEC_TypedEventChannel
class | TAO_CEC_TypedEventChannel_Attributes
| Defines the construction time attributes for the Typed Event Channel. More...

## Detailed Description

Author:
  Jon Astle (jon@astle45.fsnet.co.uk)

A new implementation of the COS Typed Event Channel, based on the untyped version by Carlos O'Ryan (coryan@cs.wustl.edu)